For the complete documentation index, see llms.txt. This page is also available as Markdown.

Log

Returns the edge request logs

get

Returns the edge request logs TotalHits returns the total possible responses, useful for pagination

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

Query parameters
limitanyOptional

Limit (max 1000, default 10)

fromanyOptional

From, used for pagination (default 0)

startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
get/service/{serviceId}/log/edge
GET /api/service/{serviceId}/log/edge HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "logs": [
    {
      "_id": "text",
      "_source": {
        "@timestamp": "text",
        "clientId": "text",
        "clientasn": {
          "asn": 1,
          "ip": "text",
          "network": "text",
          "organization_name": "text"
        },
        "clientgeo": {
          "continent_name": "text",
          "country_iso_code": "text",
          "country_name": "text"
        },
        "count": 1,
        "host": {
          "geo": {
            "name": "text",
            "region_name": "text"
          },
          "hostname": "text"
        },
        "source": {
          "geo": {
            "city_name": "text",
            "continent_name": "text",
            "country_iso_code": "text",
            "location": {
              "lat": 1,
              "lon": 1
            },
            "region_iso_code": "text",
            "region_name": "text"
          }
        },
        "subtype": "text",
        "tags": [
          "text"
        ],
        "tx": {
          "Begin": "text",
          "Brotli": "text",
          "DurationMs": 1,
          "Gzip": "text",
          "Hash": "text",
          "Hit": {
            "GracePeriod": 1,
            "KeepPeriod": 1,
            "ObjVxid": 1,
            "RemainingTTL": 1
          },
          "HitRaw": "text",
          "Link": "text",
          "ReqAcct": {
            "BodyRecv": 1,
            "BodyTx": 1,
            "HeaderRecv": 1,
            "HeaderTx": 1,
            "TotalRecv": 1,
            "TotalTx": 1
          },
          "ReqHeader": {
            "X-Forwarded-For": "text",
            "ext": "text",
            "i3d-origin": "text",
            "imgproxy": "text",
            "ipv": "text"
          },
          "ReqMethod": "text",
          "ReqProtocol": "text",
          "ReqStart": "text",
          "ReqURL": "text",
          "ReqUnset": "text",
          "RespProtocol": "text",
          "RespReason": "text",
          "RespStatus": "text",
          "RespUnset": "text",
          "Storage": "text",
          "Timestamp": {
            "Fetch": "text",
            "Process": "text",
            "Req": "text",
            "ReqBody": "text",
            "Resp": "text",
            "Start": "text"
          },
          "VCL_acl": "text",
          "VCL_call": "text",
          "VCL_return": "text",
          "firstByteMs": 1
        },
        "type": "text",
        "vxid": 1
      }
    }
  ],
  "totalHits": {
    "relation": "text",
    "value": 1
  }
}

Last updated

Was this helpful?